#[derive(Eq, PartialEq, Clone, Copy)]
pub enum Key {
    Up,
    Down,
    Left,
    Right,
    Select,
}

pub fn parse(button_adc_val: u16) -> Option<Key> {
    match button_adc_val {
        80..=100 => Some(Key::Left),
        170..=190 => Some(Key::Down),
        320..=330 => Some(Key::Select),
        500..=520 => Some(Key::Right),
        690..=710 => Some(Key::Up),
        _ => None,
    }
}

